.package:
  stage: package
  needs:
    - patch
  script:
    - ./build.sh
    - cd chef-server/omnibus
    - mkdir ${CI_PROJECT_DIR}/data
    - mv -v pkg/cinc-server* ${CI_PROJECT_DIR}/data/
    - cp ../VERSION ${CI_PROJECT_DIR}/
  cache:
    paths:
      - cache/*
      - bundle/vendor/*
    when: always
  artifacts:
    expire_in: 1mo
    paths:
      - data/*
      - VERSION

.package:amazonlinux:
  extends: .package
  after_script:
    - mkdir -p ${CI_PROJECT_DIR}/data/amazon/${PLATFORM_VER}
    - mv -v ${CI_PROJECT_DIR}/data/*.{rpm,json} ${CI_PROJECT_DIR}/data/amazon/${PLATFORM_VER}/

.package:centos:
  extends: .package
  after_script:
    - mkdir -p ${CI_PROJECT_DIR}/data/el/${PLATFORM_VER}
    - mv -v ${CI_PROJECT_DIR}/data/*.{rpm,json} ${CI_PROJECT_DIR}/data/el/${PLATFORM_VER}/

.package:debian:
  extends: .package
  after_script:
    - mkdir -p ${CI_PROJECT_DIR}/data/debian/${PLATFORM_VER}
    - mv -v ${CI_PROJECT_DIR}/data/*.{deb,json} ${CI_PROJECT_DIR}/data/debian/${PLATFORM_VER}/

.package:opensuse:
  extends: .package
  after_script:
    - mkdir -p ${CI_PROJECT_DIR}/data/sles/${PLATFORM_VER}
    - mv -v ${CI_PROJECT_DIR}/data/*.{rpm,json} ${CI_PROJECT_DIR}/data/sles/${PLATFORM_VER}/

.package:rocky:
  extends: .package
  after_script:
    - mkdir -p ${CI_PROJECT_DIR}/data/rocky/${PLATFORM_VER}
    - mv -v ${CI_PROJECT_DIR}/data/*.{rpm,json} ${CI_PROJECT_DIR}/data/rocky/${PLATFORM_VER}/

.package:ubuntu:
  extends: .package
  after_script:
    - mkdir -p ${CI_PROJECT_DIR}/data/ubuntu/${PLATFORM_VER}
    - mv -v ${CI_PROJECT_DIR}/data/*.{deb,json} ${CI_PROJECT_DIR}/data/ubuntu/${PLATFORM_VER}/
